Subject: Re: [net PATCH v2 5/7] octeontx2-af: Fix issues with NPC field hash extract

From: Simon Horman <[email-masked]>
Date: Sat, 8 Apr 2023 17:21:19 +0200

On Fri, Apr 07, 2023 at 05:53:42PM +0530, Sai Krishna wrote:
> From: Ratheesh Kannoth <[email-masked]>
> 
> 1. As per previous implementation, mask and control parameter to
> generate the field hash value was not passed to the caller program.
> Updated the secret key mbox to share that information as well,
> as a part of the fix.
> 2. Earlier implementation did not consider hash reduction of both
> source and destination IPv6 addresses. Only source IPv6 address
> was considered. This fix solves that and provides option to hash
> reduce both source and destination IPv6 addresses.
> 3. Fix endianness issue during hash reduction while storing the IPv6
>  source/destination address as hash keys.
> 4. Configure hardware parser based on hash extract feature enable flag
>        for IPv6.

Hi Sai and Ratheesh,

there is a lot going on here.
Could you consider breaking this up into more than one patch?